/**
 * @name charcode-is-valid-xml-name-character
 * @fileoverview Does a given character belong to XML spec's "Production 4 OR 4a" type (is acceptable for XML element's name)
 * @version 3.0.9
 * @author Roy Revelt, Codsen Ltd
 * @license MIT
 * {@link https://codsen.com/os/charcode-is-valid-xml-name-character/}
 */

"use strict";var charcodeIsValidXmlNameCharacter=(()=>{var i=Object.defineProperty;var l=Object.getOwnPropertyDescriptor;var p=Object.getOwnPropertyNames,d=Object.getOwnPropertySymbols;var g=Object.prototype.hasOwnProperty,b=Object.prototype.propertyIsEnumerable;var c=(n,e,r)=>e in n?i(n,e,{enumerable:!0,configurable:!0,writable:!0,value:r}):n[e]=r,u=(n,e)=>{for(var r in e||(e={}))g.call(e,r)&&c(n,r,e[r]);if(d)for(var r of d(e))b.call(e,r)&&c(n,r,e[r]);return n};var f=(n,e)=>{for(var r in e)i(n,r,{get:e[r],enumerable:!0})},R=(n,e,r,o)=>{if(e&&typeof e=="object"||typeof e=="function")for(let a of p(e))!g.call(n,a)&&a!==r&&i(n,a,{get:()=>e[a],enumerable:!(o=l(e,a))||o.enumerable});return n};var h=n=>R(i({},"__esModule",{value:!0}),n);var P={};f(P,{isProduction4:()=>x,isProduction4a:()=>A,validFirstChar:()=>x,validSecondCharOnwards:()=>A});var v={inclusiveRangeEnds:!1,returnMatchedRangeInsteadOfTrue:!1};function s(n,e,r){let o=u(u({},v),r);if(!Number.isInteger(n))throw new Error(`ranges-is-index-within: [THROW_ID_01] the first input argument should be string index, a natural number (or zero). It was given as ${n} (type ${typeof n})`);return Array.isArray(e)?o.returnMatchedRangeInsteadOfTrue?e.find(a=>o.inclusiveRangeEnds?n>=a[0]&&n<=a[1]:n>a[0]&&n<a[1])||!1:e.some(a=>o.inclusiveRangeEnds?n>=a[0]&&n<=a[1]:n>a[0]&&n<a[1]):!1}var I=[[58,58],[65,90],[95,95],[192,214],[216,246],[248,767],[880,893],[895,8191],[8204,8205],[8304,8591],[11264,12271],[12289,55295],[63744,64975],[65008,65533],[65536,983039]],y=[[45,45],[46,46],[48,57],[58,58],[65,90],[95,95],[183,183],[192,214],[216,246],[248,767],[768,879],[880,893],[895,8191],[8204,8205],[8255,8256],[8304,8591],[11264,12271],[12289,55295],[63744,64975],[65008,65533],[65536,983039]],m=[[97,122]],t={inclusiveRangeEnds:!0,skipIncomingRangeSorting:!0};function x(n){return s(n.codePointAt(0),m,t)||s(n.codePointAt(0),I,t)}function A(n){return s(n.codePointAt(0),m,t)||s(n.codePointAt(0),y,t)}return h(P);})();
/**
 * @name ranges-is-index-within
 * @fileoverview Checks if index is within any of the given string index ranges
 * @version 4.0.9
 * @author Roy Revelt, Codsen Ltd
 * @license MIT
 * {@link https://codsen.com/os/ranges-is-index-within/}
 */
